elhacker.net cabecera Bienvenido(a), Visitante. Por favor Ingresar o Registrarse
¿Perdiste tu email de activación?.

 

 


Tema destacado: ¿Eres nuevo? ¿Tienes dudas acerca del funcionamiento de la comunidad? Lee las Reglas Generales


+  Foro de elhacker.net
|-+  Sistemas Operativos
| |-+  GNU/Linux (Moderador: MinusFour)
| | |-+  Problemas al instalar PHP5-curl
0 Usuarios y 1 Visitante están viendo este tema.
Páginas: [1] Ir Abajo Respuesta Imprimir
Autor Tema: Problemas al instalar PHP5-curl  (Leído 5,237 veces)
sexto

Desconectado Desconectado

Mensajes: 200


Ver Perfil
Problemas al instalar PHP5-curl
« en: 23 Julio 2012, 16:26 pm »

Necesito instalar el complemento PHP5-curl, pero al hacer el install me muestra este error:
Citar
Los siguientes paquetes tienen dependencias incumplidas:
 php5-curl : Depende: php5-common (= 5.3.2-1ubuntu4.17) pero 5.3.5-1ubuntu7.2ppa1~maverick va a ser instalado
E: Paquetes rotos
¿Como puedo instalarlo?

Muchas gracias.

Bueno, me aburría y la he liado un poco mas.
He ejecutado
Código:
apt-get -f install
He aceptado así muy valiente y me ha desinstalado php5... así que si ahora reinicio Apache la lío bien gorda.
Al intentar instalar php5 me sale esto:
Citar
Configurando libapache2-mod-php5 (5.3.2-1ubuntu4.17) ...
dpkg: error al procesar libapache2-mod-php5 (--configure):
 el subproceso instalado el script post-installation devolvió el código de salida de error 10
Configurando php5-cgi (5.3.2-1ubuntu4.17) ...
dpkg: error al procesar php5-cgi (--configure):
 el subproceso instalado el script post-installation devolvió el código de salida de error 10
dpkg: problemas de dependencias impiden la configuración de php5:
 php5 depende de libapache2-mod-php5 (>= 5.3.2-1ubuntu4.17) | libapache2-mod-php5filter (>= 5.3.2-1ubuntu4.17) | php5-cgi (>= 5.3.2-1ubuntu4.17); sin embargo:
 El paquete `libapache2-mod-php5' no está configurado todavía.
  El paquete `libapache2-mod-php5filter' no está instalado.
 El paquete `php5-cgi' no está configurado todavía.
dpkg: error al procesar php5 (--configure):
 problemas de dependencias - se deja sin configurar
dpkg: problemas de dependencias impiden la configuración de php5-curl:
 php5-curl depende de phpapi-20090626+lfs; sin embargo:
  El paquete `phpapi-20090626+lfs' no está instalado.
  El paquete `libapache2-mod-php5' que provee `phpapi-20090626+lfs' aún no está configurado.
  El paquete `php5-cgi' que provee `phpapi-20090626+lfs' aún no está configurado.
dpkg: error al procesar php5-curl (--configure):
 problemas de dependencias - se deja sin configurar
No se escribió un informe «apport» porque el mensaje de error indica que es un mensaje de error asociado a un fallo previo.
                                                                                                                           No se escribió ningún informe «apport» porque ya se ha alcanzado el valor de «MaxReports»
                                  Se encontraron errores al procesar:
 libapache2-mod-php5
 php5-cgi
 php5
 php5-curl
E: Sub-process /usr/bin/dpkg returned an error code (1)

Ayuda porfa :(


« Última modificación: 23 Julio 2012, 17:29 pm por sexto » En línea

sexto

Desconectado Desconectado

Mensajes: 200


Ver Perfil
Re: Problemas al instalar PHP5-curl
« Respuesta #1 en: 27 Julio 2012, 10:30 am »

Alguna ayuda? :(


En línea

#!drvy


Desconectado Desconectado

Mensajes: 5.613



Ver Perfil WWW
Re: Problemas al instalar PHP5-curl
« Respuesta #2 en: 27 Julio 2012, 17:24 pm »

Prueba quitando PHP,

Código
  1. sudo apt-get remove php5-common libapache2-mod-php5 php5

Y instalando de nuevo,

Código
  1. sudo apt-get install php5 libapache2-mod-php5

Y dependencias

Código
  1. sudo apt-get install php5-curl


Saludos
En línea

sexto

Desconectado Desconectado

Mensajes: 200


Ver Perfil
Re: Problemas al instalar PHP5-curl
« Respuesta #3 en: 30 Julio 2012, 10:03 am »

Ya lo intenté, y se desinstala, pero no se vuelve a instalar...
En línea

Páginas: [1] Ir Arriba Respuesta Imprimir 

Ir a:  

Mensajes similares
Asunto Iniciado por Respuestas Vistas Último mensaje
como instalar CURL????
PHP
jorgepaisa 0 1,432 Último mensaje 3 Diciembre 2007, 04:29 am
por jorgepaisa
Apache+SSL+cURL+PHP5+MySQL+OracleXE+Webmin+SSH+VNC+phpMyAdmin en Debian Etch
Tutoriales - Documentación
дٳŦ٭ 4 10,251 Último mensaje 14 Mayo 2008, 03:53 am
por дٳŦ٭
Problemas para cargar pagina mediante curl
PHP
gio.garciap 1 2,608 Último mensaje 6 Octubre 2012, 01:31 am
por #!drvy
Problemas con cURL
PHP
#Aitor 4 1,818 Último mensaje 9 Enero 2014, 22:29 pm
por EFEX
Ayuda instalar librería cURL
Programación C/C++
lluk 3 1,152 Último mensaje 19 Mayo 2014, 18:33 pm
por MeCraniDOS
WAP2 - Aviso Legal - Powered by SMF 1.1.21 | SMF © 2006-2008, Simple Machines